using System;
using System.Data;
using System.Web.UI;
using Telerik.Web.UI;

public partial class DefaultCS : Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        // Create data that you would like to display, using SliderItems in the RadSlider.
        DataTable dt = new DataTable();

        // Add columns
        dt.Columns.Add("ItemValue");
        dt.Columns.Add("ItemText");

        // Create data for 10 records.
        DataRow dr;
        for (int j = 1; j <= 10; j++)
        {
            dr = dt.NewRow();
            dr["ItemValue"] = String.Format("Value {0}", j);
            dr["ItemText"] = String.Format("Text {0}", j);

            dt.Rows.Add(dr);
        }

        // Create the RadSliderItems, based on the records in the DataTable
        foreach (DataRow row in dt.Rows)
        {
            RadSliderItem item = new RadSliderItem(row["ItemText"].ToString(), row["ItemValue"].ToString());
            RadSlider1.Items.Add(item);
        }
    }
}
